package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxAdminLog;

public interface WxAdminLogService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<WxAdminLog> listAsPage(WxAdminLog record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxAdminLog getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxAdminLog record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);



    void saveLogCount(WxAdminLog record);
    
	
	

	
	
	
	
}
